package chapter8.rest.data.artist;

import com.google.gson.Gson;

public class JsonExample
{
    public static void main(String[] args)
    {
        Cd cd1 = new Cd("Astral Weeks", 1968);
        Cd cd2 = new Cd("Moondance", 1970);
        Cd cd3 = new Cd("Keep Me Singing", 2016);
        Artist van = new Artist("Van Morrison", 1945, new Cd[]{cd1, cd2, cd3});
        Gson gson = new Gson();
        String jsonString = gson.toJson(van);
        System.out.println(jsonString);
        
        Artist van2 = gson.fromJson(jsonString, Artist.class);
        System.out.println(van2.getName() + "/" + van2.getBorn());
        for(Cd cd: van2.getCds())
        {
            System.out.println("   " + cd.getTitle() + "/" + cd.getYear());
        }
    }
}
