package chapter8.servlets;

import java.io.*;
import jakarta.servlet.*;
import jakarta.servlet.annotation.*;
import jakarta.servlet.http.*;

@WebServlet("/Erhoehen")
public class IncrementServlet extends HttpServlet
{
    private static final long serialVersionUID = 7968546825609574805L;
    
    public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Z&auml;hler</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Erh&ouml;ung des Z&auml;hlers</h1>");

        ServletContext ctx = getServletContext();
        Counter counter = (Counter)ctx.getAttribute("Counter");
        int value = counter.increment();
        out.println("<p>Der Z&auml;hler wurde auf " + value
                    + " erh&ouml;ht.</p>");
        
        out.println("</body>");
        out.println("</html>");
    }
}
