package chapter8.servlets;

import jakarta.servlet.annotation.*;
import jakarta.servlet.http.*;

@WebListener
public class SessionListenerExample implements HttpSessionListener
{
    private int numberOfSessions;
    
    public void sessionCreated(HttpSessionEvent event)
    {
        numberOfSessions++;
        System.out.println("Anzahl der Sessions: " +
                           numberOfSessions);
    }

    public void sessionDestroyed(HttpSessionEvent event)
    {
        if(numberOfSessions > 0)
        {
            numberOfSessions--;
            System.out.println("Anzahl der Sessions: " +
                               numberOfSessions);
        }
    }
}
