package chapter9.apigateway.client.remote;

@SuppressWarnings("serial")
public class RemoteRequestException extends Exception
{
    private int rc;
    
    public RemoteRequestException(String message, int rc)
    {
        super(message);
        this.rc = rc;
    }

    public int getRc()
    {
        return rc;
    }
    
    public String toString()
    {
        return getMessage() + " (rc = " + rc + ")";
    }
}
