package chapter9.translate;

public enum Language
{
    GERMAN("deutsch", "de"), 
    ENGLISH("englisch", "en"), 
    FRENCH("franzsisch", "fr"),
    ITALIAN("italienisch", "it"),
    SPANISH("spanisch", "es");
    
    private String label, languageCode;
    
    private Language(String label, String languageCode)
    {
        this.label = label;
        this.languageCode = languageCode;
    }
    
    public String toString()
    {
        return label;
    }

    public String getLanguageCode()
    {
        return languageCode;
    }
}
