package chapter6.counter;

import java.rmi.*;
import java.rmi.registry.*;

public class Server
{
    public static void main(String args[])
    {
        try
        {
            LocateRegistry.createRegistry(1099);
            CounterImpl myCounter = new CounterImpl();
            Naming.rebind("Counter", myCounter);
            System.out.println("Zhler-Server bereit.");
        }
        catch(Exception e)
        {
            System.out.println("Ausnahme: " + e.getMessage());
            e.printStackTrace();
        }
    }
}
