package chapter8.jsf.sleep;

public class Sleep
{
    private static int instanceCounter;

    private int instance;
    private int seconds;

    private static synchronized int getNextInstanceCounter()
    {
        instanceCounter++;
        return instanceCounter;
    }
    
    public Sleep()
    {
        instance = getNextInstanceCounter();
        System.out.println("Objekt " + instance + " erzeugt");
    }

    public synchronized int getSeconds()
    {
        return seconds;
    }

    public synchronized void setSeconds(int seconds)
    {
        this.seconds = seconds;
    }

    public String sleep()
    {
        System.out.println("Beginn des Schlafens fr Objekt " + instance);
        try
        {
            Thread.sleep(getSeconds() * 1000);
        }
        catch(InterruptedException e)
        {
        }
        System.out.println("Ende des Schlafens fr Objekt " + instance);
        return null;
    }
}
