package chapter8.servlets;

import jakarta.servlet.*;
import jakarta.servlet.annotation.*;

@WebListener
public class CounterInitializer implements ServletContextListener
{
    public void contextInitialized(ServletContextEvent event)
    {
        System.out.println("contextInitialized");
        Counter counter = new Counter();
        ServletContext ctx = event.getServletContext();
        ctx.setAttribute("Counter", counter);
    }

    public void contextDestroyed(ServletContextEvent event)
    {
        System.out.println("contextDestroyed");
    }
}
