package chapter8.servlets;

import java.io.*;
import jakarta.servlet.*;
import jakarta.servlet.annotation.*;
import jakarta.servlet.http.*;

@WebServlet("/Tee")
public class TeaServlet extends HttpServlet
{
    private static final long serialVersionUID = -8738406309084741851L;

    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet-Bearbeitung der Teebestellung</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Auftragsbest&auml;tigung</h1>");
        out.println("Hiermit best&auml;tigen wir Ihren Auftrag:");
        out.println("<ul>");
        out.println("<li>Teesorte: " + request.getParameter("Teesorte"));
        out.println("<li>bestellt von: " + request.getParameter("Besteller"));
        out.println("<li>Kartennummer (nur zur Demo, besser nicht anzeigen): "
                    + request.getParameter("Kreditkartennummer"));
        if(request.getParameter("Eile") != null)
        {
            out.println("<li><b>Eilbestellung</b>");
        }
        out.println("</ul>");
        out.println("Vielen Dank f&uuml;r Ihren Auftrag. "
                    + "Bestellen Sie bald wieder bei uns!");
        out.println("</body>");
        out.println("</html>");
    }
}
