package chapter9.transcribe;

import software.amazon.awssdk.services.transcribe.model.LanguageCode;

public enum Language
{
    GERMAN("deutsch", LanguageCode.DE_DE),
    ENGLISH_BRITISH("englisch (britisch)", LanguageCode.EN_GB), 
    ENGLISH_AMERICAN("englisch (amerikanisch)", LanguageCode.EN_US), 
    FRENCH("franzsisch", LanguageCode.FR_FR),
    ITALIAN("italienisch", LanguageCode.IT_IT);
    
    private String label;
    private LanguageCode languageCode;
    
    private Language(String label, LanguageCode languageCode)
    {
        this.label = label;
        this.languageCode = languageCode;
    }
    
    public String toString()
    {
        return label;
    }

    public LanguageCode getLanguageCode()
    {
        return languageCode;
    }
}
